# Battery level

A decision block that checks battery charge level.

If the proceed option is set to Immediately, then check the current battery level without pausing the fiber. If set to When changed, then the fiber will pause until the level has changed to within the level range, or it’s no longer within the range.

If both minimum level and maximum level is set and doesn’t evaluate to `null` then the battery level must be within the range. If only minimum is set, then the level must be greater than or equal to it. If only maximum is set, then the level must be less than or equal to it. If neither minimum nor maximum is set, then the current level is just assigned to the current level variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum level — minimum battery level in percent.
- Maximum level — maximum battery level in percent.

## Output variables

- Current level — variable to assign the current battery level in percent.